#ifndef RANDOMSAMPLEGENERATOR_HXX
#define RANDOMSAMPLEGENERATOR_HXX

#include "SampleGenerator.hxx"

class RandomSampleGenerator : public SampleGenerator 
{
public:
	virtual void GetSamples(int n, float *u, float *v, float *weight)
	{
		float stdweight = 1.0f / static_cast<float>(n);

		for (int i = 0; i < n; ++i)
		{
			u[i]      = drand48();
			v[i]      = drand48();
			weight[i] = stdweight;
		}
	};

	virtual ~RandomSampleGenerator(){};
};

#endif
